Bug 167577 - hangs checking mail from server on dead VPN connection
hangs checking mail from server on dead VPN connection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 15:57 EDT by David L.
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.10.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 12:35:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David L. 2005-09-05 15:57:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I access my exchange server via a VPN connection that goes down from time to time.  If I try to check email when it's down, a send and receive mail window pops up with 0 progress.  If I hit the "cancel all" button on the send and receive mail window, that window becomes unresponsive.  If I try to kill that window, the whole evolution session hangs.  If I bring the VPN connection back up, I usually have to kill evolution and sometimes --force-shutdown before I can check my mail again.


Version-Release number of selected component (if applicable):
evolution-2.2.3-2.fc4

How reproducible:
Sometimes

Steps to Reproduce:
1. Set exchange server to a server on a VPN connection.
2. Turn off the VPN connection.
3. Press the send/receive mail.
4. Press the cancel all button on the send and receive mail button

  

Actual Results:  Evolution hangs.


Expected Results:  A message saying evolution couldn't contact the mail server.  When the VPN connection is re-established, I'd expect evolution to be able to check mail again immediately.

Additional info:

I'm using evolution-connector-2.2.2-5.

It seems that evolution often un-hangs given sufficient time, but IMHO, it shouldn't hang at all.
Comment 1 David L. 2005-10-06 11:19:54 EDT
After an evolution hang for which I had to force-quit, evolution didn't start
the next time I ran it.  So I tried evolution --force-shutdown.  The next two
times I ran evolution, it segfaulted like this:

es menu class init
adding hook target 'source'

(evolution:27043): camel-WARNING **: Invalid root: '/home1/idht4n/.evolution/mail/l
ocal/Drafts.ibex.index'

(evolution:27043): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:27043): camel-WARNING **: block size: 1024 (1024) OK

(evolution:27043): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:27043): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:27043): camel-WARNING **: flags: unSYNC

(evolution:27043): camel-WARNING **: Invalid root: '/home1/idht4n/.evolution/mail/l
ocal/Outbox.ibex.index'

(evolution:27043): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:27043): camel-WARNING **: block size: 1024 (1024) OK

(evolution:27043): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:27043): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:27043): camel-WARNING **: flags: unSYNC

GThread-ERROR **: file gthread-posix.c: line 160 (): error 'Device or resource b
usy' during 'pthread_mutex_destroy ((pthread_mutex_t *) mutex)'
aborting...
Multiple segmentation faults occurred; can't display error dialog

Comment 2 Dave Malcolm 2007-01-08 12:43:22 EST
Thanks for filing this bug report, and investigating it.  I'm sorry that it has
gone for so long without activity; it was incorrectly assigned to me by bugzilla.

Reassigning to mbarnes; once again, my apologies for my lack of activity on this
bug.
Comment 3 Christian Iseli 2007-01-19 19:29:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 David L. 2007-07-03 13:13:32 EDT
In f7 it doesn't hang completely anymore.  It is still somewhat unhappy after
the VPN connection goes down.  There is a significant delay attempting to change
to a local folder.  When the VPN connection comes back up, it gives an error
about having lost its connection to the backend process and I have to quit and
restart before I can access the exchange folders again.
Comment 5 David L. 2007-07-03 13:19:20 EDT
I forgot to check the box that said I am providing the requested information for
this bug.  I guess the bug that I originally reported is fixed in f7.  Evolution
still could be more robust to loss of the connection though.
Comment 6 Matthew Barnes 2007-07-16 12:35:43 EDT
Closing this as CURRENTRELEASE.  Thanks for responding.

Upstream is working on making Evolution more robust to dropped connections.

Note You need to log in before you can comment on or make changes to this bug.